Bug 1781754 - Co-maintainer request (to maintain EPEL8 branch)
Summary: Co-maintainer request (to maintain EPEL8 branch)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-OpenSSH
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1893136 1893145 1900710
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-10 14:23 UTC by Igor Raits
Modified: 2020-12-26 01:35 UTC (History)
4 users (show)

Fixed In Version: perl-Net-OpenSSH-0.80-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-26 01:35:49 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2019-12-10 14:23:26 UTC
Hello,

We are working on bringing multiple perl packages into a 'upstream' (EPEL) which we use internally (at GoodData). This package is one of many which have builds in Fedora Rawhide but lacks EPEL8 branch. We would like to request it and help you to maintain the package (incl. Fedora Rawhide).

Please add us to a maintainer list for the package perl-Net-OpenSSH. Our FAS usernames are:

- tjmc
- kubo

Thanks for the cooperation in advance!

Comment 1 Ben Cotton 2020-02-11 17:41:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Steve Traylen 2020-10-30 09:40:19 UTC
While the package can be built it cannot be installed due to

provides perl(Object::Remote::Role::Connector::PerlInterpreter) needed by perl-Net-OpenSSH-0.80-1.el8.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
ERROR: Command failed: 

So looks like perl-Object-Remote is required first.

Comment 4 Steve Traylen 2020-10-30 09:43:11 UTC
And building perl-Object-Remote the following is missing.

No matching package to install: 'perl(Exporter::Declare)'
No matching package to install: 'perl(Future) >= 0.29'
No matching package to install: 'perl(Log::Contextual) >= 0.005'
No matching package to install: 'perl(Log::Contextual::Role::Router)'

Comment 5 Fedora Update System 2020-12-10 16:00:08 UTC
FEDORA-EPEL-2020-3a28194c71 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3a28194c71

Comment 6 Fedora Update System 2020-12-11 01:34:23 UTC
FEDORA-EPEL-2020-3a28194c71 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3a28194c71

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-12-26 01:35:49 UTC
FEDORA-EPEL-2020-3a28194c71 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.